twitter4j.management

## Interface APIStatisticsMBean

All Superinterfaces:
  InvocationStatistics

All Known Implementing Classes:
  APIStatistics

    public interface APIStatisticsMBean
    extends InvocationStatistics

Simple MBean interface for APIStatistics. Method-level statistics are exposed as a Map of formatted strings

Author:
  Nick Dellamaggiore (nick.dellamaggiore at gmail.com)
See Also:
  `for a dynamic version of this mbean with tabular representation`

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<? extends InvocationStatistics>` `getInvocationStatistics()`
`Map<String,String>` `getMethodLevelSummariesAsString()`
`String` `getMethodLevelSummary(String methodName)`

### Methods inherited from interface twitter4j.management.InvocationStatistics

`getAverageTime, getCallCount, getErrorCount, getName, getTotalTime, reset`

### Method Detail

#### getMethodLevelSummariesAsString

    Map<String,String> getMethodLevelSummariesAsString()

#### getMethodLevelSummary

    String getMethodLevelSummary(String methodName)

#### getInvocationStatistics

    Iterable<? extends InvocationStatistics> getInvocationStatistics()